Item Logo
Yms apiOrder controller

POST Update Order

POST Update order

Introduction

Update an existing order by its order ID. This API allows you to modify order details such as customer, carrier, equipment information, item lines, and dynamic field values. Only the fields provided in the request body will be updated.

POST /public/order/{orderId}/update

Body Request Parameters

Request Parameters

Name

Location

Type

Required

Description

orderId

path

string

Yes

Order ID

X-Tenant-ID

header

string

No

none

X-Yard-ID

header

string

No

none

Item-Time-Zone

header

string

No

none

Authorization

header

string

No

none

Item-Bam-Client

header

string

No

none

x-facility-id

header

string

No

none

body

body

object

No

none

» orderStatus

body

string

No

Current status of the order

» customerId

body

string

No

Customer identifier

» externalCarrierId

body

string

No

External carrier identifier from external systems

» poNo

body

string

No

Purchase order number

» referenceNo

body

string

No

Reference number

» retailer

body

string

No

Retailer name

» shipFrom

body

string

No

Ship-from location (name or code)

» shipTo

body

string

No

Ship-to location (name or code)

» totalPalletQty

body

integer

No

Total number of pallets

» totalCartonQty

body

integer

No

Total number of cartons

» itemInfos

body

[ItemInfo]

No

Items included in the order

»» itemId

body

string

No

Item identifier

»» itemName

body

string

No

Item name

»» itemQty

body

string

No

Item quantity

»» palletQty

body

string

No

Item pallet Qty

»» itemSpecDesc

body

string

No

Item spec desc

»» itemSpecName

body

string

No

Item spec name

»» uomId

body

string

No

item uomId

»» qty

body

string

No

qty

» dynamicFieldValues

body

[object]

No

Dynamic field values for custom attributes

»» fieldCode

body

string

Yes

Field code

»» value

body

string

No

none

»» values

body

[string]

No

Multi-select value list, takes priority over value

Response Example

Response

Status Code

Definition

Description

Data Model

200

OK

none

ROrderView